Patient Requirements

  • -Must be at least 18 years old or have a parent/legal guardian present.
  • -Provide a legitimate email address.
  • -Possess a valid credit or debit card for payment processing.

Technical Requirements

  • -WiFi Internet connection or High-speed broadband.
  • -Webcam with 1.3 megapixel resolution or better (Only for PC users. Mac users should use built-in camera).
  • -Standard desktop speakers and microphone or VoIP headset.

Operating Systems

  • -Windows 7, Windows 8, Windows 8.1, Windows 10 (Note: FlashMD does not support Windows 8 RT for surface tablet).
  • -Mac OS X 10.7 and above (10.6.8 with 64 bit processor will work).
  • -iPad iOS 7.0 or later.
  • -iPhone iOS 7.0 or later.
  • -Android 4.4 or later. Atom processors not supported.

Browsers

  • FlashMD works best with Google Chrome, which can be downloaded by clicking here.